Construyendo package Debian sin upstream

Estoy reemplazando una secuencia de commands de compilation de package Debian hacky con http://jenkins-debian-glue.org/ , que usa git-buildpackage .

El script generate-git-snapshot ejecuta este monstruo de una línea:

 gbp buildpackage -nc --git-force-create --git-ignore-new --git-ignore-branch -S -us -uc --git-verbose --git-builder=/bin/true --git-cleaner=/bin/true --git-export-dir= 

Esto falla cada vez con un error: gbp:error: upstream/1.0.0 is not a valid treeish . 1.0.0 es la cadena de versión inicial en debian/changelog , pero la twig upstream no existe.

No estoy seguro de qué hacer con la twig upstream : este package no es una bifurcación de un proyecto existente, es un repository de Git que solo pretende build un package Debian.

¿Cómo puedo / debo build el package?

A less que su embalaje sea muy antiguo, probablemente sea un package de 3.0 (quilt) . Si ese es el caso, gbp está buscando twigs separadas para la fuente ascendente y personalizaciones específicas de Debian para que pueda preparar el package fuente correctamente.

Como está creando un package nativo, debian/source/format debe cambiarse a 3.0 (native) .